Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Interface ListShufflerC

All Known Implementing Classes:
  ListShufflerCImpl

public interface ListShufflerC
extends CreateC, CreateS, DropC, DropS

A class to randomize the order of a given Swarm List. ListShuffler randomizes the order of the elements in a List; either the whole list or the num lowest elements. The list must be supplied. An uniform distribution can be supplied, or the system- supplied uniformUnsRand is used. The algorithm is from Knuth. All these methods modify the underlying collection, so any indexes should always be regenerated.

Method Summary
`java.lang.Object` | `create$setUniformRandom(Zone aZone, java.lang.Object dist)` The create:setUniformRandom method creates the Shuffler and connects the supplied distribution object.
`java.lang.Object` | `setUniformRandom(java.lang.Object dist)` the setUniformRandom: method connects the supplied uniform distribution to the Shuffler (run after createBegin:).

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setUniformRandom

    public java.lang.Object setUniformRandom(java.lang.Object dist)

  the setUniformRandom: method connects the supplied uniform distribution to the Shuffler (run after createBegin:).

### create$setUniformRandom

    public java.lang.Object create$setUniformRandom(Zone aZone,
                                                    java.lang.Object dist)

  The create:setUniformRandom method creates the Shuffler and connects the supplied distribution object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD